<div class="w-full p-2 md:p-5">
    <div class="relative flex justify-end mb-4 text-xl">
        <h4 class="text-center w-full absolute">{{ area?.subAreaName }}</h4>
        <div>{{ area?.averageDropValue | cleanInteger }} K</div>
    </div>

    <div *ngFor="let monster of area?.monsters">
        <div class=" bg-accordionBackground py-2 rounded-t-lg noselect hover:cursor-pointer flex justify-between" appAccordion>
            <span class="text-xl ml-10">
                {{ monster.monsterName }}
            </span>
            <span class=" text-xl mr-10">
                {{ monster.averageDropValue }} K
            </span>
        </div>
        <div class="w-full bg-contentBackground rounded-b-lg p-2">
            <app-monster-drop-preview [monster]="monster"></app-monster-drop-preview>
        </div>
        <div class=" my-2"></div>
    </div>
</div> 